summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-08-19 13:52:02 +0000
committerMike Frysinger <vapier@gentoo.org>2006-08-19 13:52:02 +0000
commit3785974ecbad132c1f4d5e6f031e14b50ff8da2b (patch)
tree97088ac0764120e2cf6513865e5532ede6c233c9 /eclass/eutils.eclass
parentold (diff)
downloadgentoo-2-3785974ecbad132c1f4d5e6f031e14b50ff8da2b.tar.gz
gentoo-2-3785974ecbad132c1f4d5e6f031e14b50ff8da2b.tar.bz2
gentoo-2-3785974ecbad132c1f4d5e6f031e14b50ff8da2b.zip
move gen_usr_ldscript() to toolchain-funcs.eclass and make it smarter
Diffstat (limited to 'eclass/eutils.eclass')
-rw-r--r--eclass/eutils.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index d4b527667b27..6314f938b11a 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.247 2006/08/11 02:21:47 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.248 2006/08/19 13:52:02 vapier Exp $
#
# This eclass is for general purpose functions that most ebuilds
# have to implement themselves.
@@ -57,6 +57,14 @@ ebeep() {
# <azarah@gentoo.org> (26 Oct 2002)
#
gen_usr_ldscript() {
+ if [[ $(type -t _tc_gen_usr_ldscript) == "function" ]] ; then
+ _tc_gen_usr_ldscript "$@"
+ return $?
+ fi
+
+ ewarn "QA Notice: Please upgrade your ebuild to use toolchain-funcs"
+ ewarn "QA Notice: rather than gen_usr_ldscript() from eutils"
+
local lib libdir=$(get_libdir)
# Just make sure it exists
dodir /usr/${libdir}